//=============================================================================
// BallSwitch.
//=============================================================================
class BallSwitch extends Switch2;

var bool bOn;
var() int MaxBalls;

replication
{
   reliable if (Role == ROLE_Authority)
      MaxBalls, ShowMessage;
} 

function Frob(Actor Frobber, Inventory frobWith)
{
	local FLBasketball BMP;
	local int AmountOfBalls;
	Super.Frob(Frobber, frobWith);
	SetOwner(Frobber);
	
	foreach AllActors(class'FLBasketball',BMP)
	{
		if (BMP.Region.Zone.IsA('BasketballZone') || BMP.Region.Zone.IsA('BasketZone'))
		{
			AmountOfBalls += 1;
		}
	}
	if (AmountOfBalls < MaxBalls)
	{
		Spawn(Class'FLBasketball',Frobber,,vect(2816.074707,2878.978516,-3912.878662));
	}
	else 
	{
		ShowMessage(DeusExPlayer(Frobber),"There is enough of balls available on the court!"); 
	}
	if (bOn)
	{
		PlaySound(sound'Switch4ClickOff');
		PlayAnim('Off');
	}
	else
	{
		PlaySound(sound'Switch4ClickOn');
		PlayAnim('On');
	}

	bOn = !bOn;
}

simulated function ShowMessage(DeusExPlayer Player, string Message)
{
  local HUDMissionStartTextDisplay HUD;
  if ((Player.RootWindow != None) && (DeusExRootWindow(Player.RootWindow).HUD != None))
  {
    HUD = DeusExRootWindow(Player.RootWindow).HUD.startDisplay;
  }
  if(HUD != None)
  {
    HUD.shadowDist = 0;
    HUD.Message = "";
    HUD.charIndex = 0;
    HUD.winText.SetText("");
    HUD.winTextShadow.SetText("");
    HUD.displayTime = 5.50;
    HUD.perCharDelay = 0.30;
    HUD.AddMessage(Message);
    HUD.StartMessage();
  }
} 

defaultproperties
{
    MaxBalls=7
    ItemName="Press to bring more balls!"
}
