//=============================================================================
// BasketTrigger.
//=============================================================================
class BasketTrigger extends Trigger;

// Round function written by Alex
function int round(float input)
{
  local string strInput;
  local int output;
  local float dec;

  strInput = string(input);

  if(instr(strInput, ".") != -1)
  {
    dec = float(right(strInput, len(strInput)-instr(strInput, ".")));
    strInput = left(strInput, instr(strInput, "."));

    if(dec < 0.5)
      output = int(strInput);
    else
      output = int(strInput)+1;
  }
  else
  {
    output = int(strInput);
  }
  return output;
}

function Touch(actor Other)
{
	local Actor DXPO;
	local int ScorePoints;
	local string Points;
	local string Color;
	
	DXPO = Other.Owner;
	if (Other.IsA('FLBasketball') && DeusExPlayer(DXPO) != None && !FLBasketball(Other).bAlreadyScored)
	{
		ScorePoints = Round((abs(VSize((Location - FLBasketball(Other).MeasureActor.Location)))/100) * (abs(VSize((Location - FLBasketball(Other).MeasureActor.Location)))/100) ** 0.42);
		if (ScorePoints > 1) { Points = "points"; }
		else { Points = "point"; }
		if (ScorePoints < 1) ScorePoints = 1;
	
		if (ScorePoints >= 1 && ScorePoints < 3) Color = "|cFFFC00";
		if (ScorePoints >= 3 && ScorePoints < 6) Color = "|cFFE300"; 
		if (ScorePoints >= 6 && ScorePoints < 9) Color = "|cFFBE00"; 
		if (ScorePoints >= 9 && ScorePoints < 15) Color = "|cFF9300"; 
		if (ScorePoints >= 15 && ScorePoints < 20) Color = "|cFF7500";
		if (ScorePoints >= 20 && ScorePoints < 30) Color = "|cFF5000";
		if (ScorePoints >= 30) Color = "|cFF0000";
		
		if (UltimatePlayer(DXPO).Team != None)
		{
			DeusExPlayer(DXPO).BroadcastMessage(Color$DeusExPlayer(DXPO).PlayerReplicationInfo.Playername@"(team"@UltimatePlayer(DXPO).Team.TeamName$") has made a basket ("$ScorePoints@Points@"given)!");
			Log(DeusExPlayer(DXPO).PlayerReplicationInfo.Playername@"(team"@UltimatePlayer(DXPO).Team.TeamName$") has made a basket ("$ScorePoints@Points@"given)!");
		}
		else
		{
			DeusExPlayer(DXPO).BroadcastMessage(Color$DeusExPlayer(DXPO).PlayerReplicationInfo.Playername@"has made a basket ("$ScorePoints@Points@"given)!");
			Log(DeusExPlayer(DXPO).PlayerReplicationInfo.Playername@"has made a basket ("$ScorePoints@Points@"given)!");
		}
		DeusExPlayer(DXPO).PlayerReplicationInfo.Score += ScorePoints;
		DeusExPlayer(DXPO).PlayerReplicationInfo.Streak += ScorePoints;
		FLBasketball(Other).bAlreadyScored = True;
		PlaySound(Sound'DeusExSounds.UserInterface.LogSkillPoints', SLOT_None,2,,512);
	}
}

defaultproperties
{
	bCollideActors=True
	DrawScale=0.25
}