//=============================================================================
// BasketballZone.
//=============================================================================
class BasketballZone extends ZoneInfo;

var Light LightTarget;

function PostBeginPlay()
{
	local Light LT;

	Super.PostBeginPlay();

	foreach AllActors(class'Light', LT)
	{
		if (LT.Name == 'Light94')
		{
			LightTarget = LT;
			break;
		}
	}
}

event ActorEntered(actor Other)
{
	local float avg;
	
	Super.ActorEntered(Other);

	if (Other.IsA('Buildingbox') || Other.IsA('Containers') || Other.IsA('FLCart'))
	{
		avg = (DeusExDecoration(Other).CollisionRadius + DeusExDecoration(Other).CollisionHeight) / 2;
		DeusExDecoration(Other).Frag(DeusExDecoration(Other).fragType, vect(20,20,20), avg/20.0, avg/5 + 1);
		Other.Destroy();
	}
	else if (Other.IsA('SpyDrone') && !SpyDrone(Other).bDisabled)
	{
		DeusExPlayer(SpyDrone(Other).Owner).ForceDroneOff();
		DeusExPlayer(SpyDrone(Other).Owner).ClientMessage("Spy drones are prohibited on the basketball court");
		SpyDrone(Other).bDisabled = True;
		SpyDrone(Other).SetPhysics(PHYS_Falling);
		SpyDrone(Other).bBounce = True;
		SpyDrone(Other).LifeSpan = 10.0;
		SpyDrone(Other).Spawn(class'SmokeTrail',,, Other.Location);
	}
	else if (Other.IsA('DeusExProjectile') && !Other.IsA('ThrownProjectile') && !Other.IsA('Cloud') && !Other.IsA('Fireball') && !Other.IsA('RocketLAW'))
	{
		Other.Spawn(class'SphereEffect',,,Other.Location);
		Other.PlaySound(sound'ProdFire', SLOT_None,,,, 2.0);

		if(LightTarget != None)
		{
			DeusExProjectile(Other).bTracking = True;
			DeusExProjectile(Other).Target = LightTarget;
			DeusExProjectile(Other).NetworkTargetLoc = LightTarget.Location;
		}
	}
	else if (Other.IsA('ThrownProjectile') && !Other.IsA('FLBasketball'))
	{
		Other.TakeDamage(15, None, Other.Location, vect(0,0,0), 'EMP');
		Other.LifeSpan = 10.0;
	}
	else if (Other.IsA('Cloud') || Other.IsA('Dart') || Other.IsA('PlasmaBolt') || Other.IsA('Shuriken'))
	{
		Other.Destroy();
	}
	else if (Other.IsA('Fireball'))
	{
		Other.Spawn(class'SmokeTrail',,, Other.Location);
		Other.Destroy();
	}
	else if (Other.IsA('RocketLAW') || Other.IsA('HECannister20mm'))
	{
		DeusExProjectile(Other).bAggressiveExploded = True;
		DeusExProjectile(Other).Explode(Other.Location, vect(0,0,1));
		Other.PlaySound(sound'ProdFire', SLOT_None,,,, 2.0);
	}
}

defaultproperties
{
}